// Check mx
metaxploit = include_lib("/lib/metaxploit.so")
if not metaxploit then
	currentPath = get_shell.host_computer.current_path
	metaxploit = include_lib(currentPath + "/metaxploit.so")
end if
if not metaxploit then exit("Error: Can't find metaxploit library in the /lib path or the current folder")

crypto = include_lib("/lib/crypto.so")
if not crypto then
	currentPath = get_shell.host_computer.current_path
	crypto = include_lib(currentPath + "/crypto.so")
end if
if not crypto then exit("Error: Can't find crypto.so library in the /lib path

// Get file on the local computer
// string filePath
// string fileName
// @return File|null
getFile = function(filePath, fileName)
	myshell = get_shell
	file = myshell.host_computer.File(filePath + fileName)
	return file
end function

decipherUserPassword = function(userPass)
	if userPass.len != 2 then exit("decipher: wrong syntax")
	password = crypto.decipher(userPass[0], userPass[1])
	return password
end function

// Get distant lib
// string address
// Port port
// @return metaLib|null
getLib = function(address, port)
	res = null
	net_session = metaxploit.net_use( address, port.port_number )
	if net_session then
		res = net_session.dump_lib
	end if
	return res
end function

getRouter = function(address)
	res = null
	net_session = metaxploit.net_use(address)
	if net_session then
		res = net_session.dump_lib
	end if
	return res
end function
